## cinnamon 6.4.5+xia

=== debian/changelog ===
cinnamon (6.4.5+xia) xia; urgency=medium

  [ fredcw ]
  * dialog.js: add style class dialog-button-box (#12601)

  [ Michael Webster ]
  * virtualKeyboard.js: Re-enable focus monitoring.
  * main.js: Handle an end-session-dialog failure to show.

  [ Clement Lefebvre ]
  * power applet: Fix typo
  * power applet: Apply the proper class name to the active profile
  * closeDialog: Fix exception when the window has no app

  [ Michael Webster ]
  * eventView.js: (minor) Fix possible undefined argument for set_events().

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2025 16:44:59 +0000

cinnamon (6.4.4) xia; urgency=medium

  [ Clement Lefebvre ]
  * dialogs: Fix code casing
  * runDialog: Fix cinnamon restart OSD showing over dialog
  * lightbox: Set as important

  [ JosephMcc ]
  * theme: Fix more radius issues in GWL window previews (#12585)

  [ Michael Webster ]
  * polkitAuthenticationAgent.js: Improve initialization, cleanup of signal and timer handles.
  * polkitAuthenticationAgent.js: Fix dialog cancellation when transitions are disabled.

  [ JosephMcc ]
  * Fix the onscreen keyboard not working when a modal dialog is open (#12599)

  [ fredcw ]
  * Fix spelling (#12598)

  [ Michael Webster ]
  * panel.js: Only clip the panel size if necessary. (#12592)
  * polkitAuthenticationAgent.js: Only close the dialog once.

  [ Clement Lefebvre ]
  * dialogs: Re-enable panels on destroy

  [ Michael Webster ]
  * modalDialog.js: Disable the lightbox if the virtual keyboard is enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jan 2025 20:52:57 +0000

## cinnamon 6.4.6+faye

=== debian/changelog ===
cinnamon (6.4.6+faye) xia; urgency=medium

  * theme: Give the endSessionDialog a min-width

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 16:06:01 +0000

cinnamon (6.4.5) xia; urgency=medium

  [ fredcw ]
  * dialog.js: add style class dialog-button-box (#12601)

  [ Michael Webster ]
  * virtualKeyboard.js: Re-enable focus monitoring.
  * main.js: Handle an end-session-dialog failure to show.

  [ Clement Lefebvre ]
  * power applet: Fix typo
  * power applet: Apply the proper class name to the active profile
  * closeDialog: Fix exception when the window has no app

  [ Michael Webster ]
  * eventView.js: (minor) Fix possible undefined argument for set_events().

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2025 16:44:59 +0000

## cinnamon 6.4.6+xia

=== debian/changelog ===
cinnamon (6.4.6+xia) xia; urgency=medium

  * theme: Give the endSessionDialog a min-width

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 16:06:01 +0000

## cinnamon 6.4.7

=== debian/changelog ===
cinnamon (6.4.7-1) unstable; urgency=medium

  * New upstream version 6.4.7
  * d/control: add missed polkit-1-auth-agent to provides.
    Thanks to Joshua Peisach
  * d/control: replace network-manager-gnome with nm-connection-editor
    (Closes: #1086815)
  * d/patches:
    - refresh older patches
    - add upstream patch to avoid put generated css file
    in source dir (Closes: #1043720)
  * refresh d/patches
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 08 Feb 2025 18:17:35 +0100

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 6.4~),
 libcinnamon-menu-3-dev (>= 5.4~),
 libcjs-dev (>= 6.4~),
 libdbus-1-dev,
 libgcr-3-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl-dev,
 libglib2.0-dev (>= 2.52.0),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 6.4~),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 libsecret-1-dev,
 libstartup-notification0-dev (>= 0.11),
 libxapp-dev (>= 2.6.0),
 meson (>= 0.47.0),
 pysassc,
 python3:any,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/linuxmint/cinnamon
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common (= ${source:Version}),
 cinnamon-control-center (>= 6.4),
 cinnamon-desktop-data (>= 6.4),
 cinnamon-l10n (>= 6.4),
 cinnamon-screensaver (>= 6.4),
 cinnamon-session (>= 6.4),
 cinnamon-settings-daemon (>= 6.4),
 cjs (>= 6.4),
 cups-pk-helper,
 dbus,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cmenu-3.0 (>= 5.4),
 gir1.2-cvc-1.0 (>= 6.4),
 gir1.2-ecal-2.0,
 gir1.2-edataserver-1.2,
 gir1.2-gcr-3,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gsound-1.0,
 gir1.2-gtk-3.0,
 gir1.2-ical-3.0,
 gir1.2-keybinder-3.0,
 gir1.2-nemo-3.0 (>= 6.4),
 gir1.2-nm-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
 gir1.2-polkit-1.0,
 gir1.2-soup-3.0,
 gir1.2-timezonemap-1.0,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 2.6.0),
 gkbd-capplet,
 gnome-backgrounds,
 gnome-themes-extra,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flags-png-320x240,
 libcinnamon-menu-3-0 (>= 5.4),
 libcjs0 (>= 5.4),
 libglib2.0-bin,
 libjxl-gdk-pixbuf,
 mesa-utils,
 muffin (>= 6.4~),
 nemo (>= 6.4),
 nm-connection-editor [linux-any],
 pkexec,
 psmisc,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-requests,
 python3-setproctitle,
 python3-tinycss2,
 python3-tz,
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 blueman,
 cinnamon-core,
 gnome-online-accounts-gtk,
 gnome-terminal,
 inxi,
 libcanberra-pulse,
 libxapp-gtk3-module,
 metacity-common,
 touchegg,
 xapp-sn-watcher,
 xdg-desktop-portal-gtk,
 xdg-desktop-portal-xapp,
Suggests: cinnamon-desktop-environment, cinnamon-doc, python3-opencv
Provides: notification-daemon, x-window-manager, polkit-1-auth-agent
Breaks: cinnamon-core (<< 5.4~), cinnamon-common (<< 6.0.4-2~)
Replaces: cinnamon-common (<< 6.0.4-2~)
Description: Innovative and comfortable desktop
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 6.4),
 gir1.2-meta-muffin-0.0 (>= 6.4~),
 libglib2.0-bin,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Breaks: cinnamon (<< 6.0.4-2~)
Replaces: cinnamon (<< 6.0.4-2~)
Description: Innovative and comfortable desktop (Common data files)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the data files needed by Cinnamon

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: devhelp
Description: Innovative and comfortable desktop (Documentation)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the documentation files distributed with Cinnamon.

## cinnamon 6.4.7+faye

=== debian/changelog ===
cinnamon (6.4.7+faye) xia; urgency=medium

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2025 18:35:20 +0000

cinnamon (6.4.6) xia; urgency=medium

  * theme: Give the endSessionDialog a min-width

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 16:06:01 +0000

## cinnamon 6.4.7+xia

=== debian/changelog ===
cinnamon (6.4.7+xia) xia; urgency=medium

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2025 18:35:20 +0000

## cinnamon 6.4.8

=== debian/changelog ===
cinnamon (6.4.8-1) unstable; urgency=medium

  * New upstream version 6.4.8
  * Update standards version to 4.7.2, no changes needed
  * refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 15 Mar 2025 15:42:20 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  meson (>= 0.47.0),
  pysassc,
  python3:any,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/cinnamon
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon

## cinnamon 6.4.8%2Bfaye

=== debian/changelog ===
cinnamon (6.4.8+faye) xia; urgency=medium

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Feb 2025 15:24:47 +0000

cinnamon (6.4.7) xia; urgency=medium

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2025 18:35:20 +0000

## cinnamon 6.4.8%2Bxia

=== debian/changelog ===
cinnamon (6.4.8+xia) xia; urgency=medium

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Feb 2025 15:24:47 +0000

## cinnamon 6.4.9

=== debian/changelog ===
cinnamon (6.4.9-1) unstable; urgency=medium

  * New upstream version 6.4.9
  * refresh d/patches
  * d/control: build-Depends and depends to cjs 128 (Closes: #1102395)
  * d/copyright: remove old fsf address

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 11 Apr 2025 12:55:14 +0200

## cinnamon 6.4.10

=== debian/changelog ===
cinnamon (6.4.10-3~ubuntu1) questing; urgency=medium

  * debian/patches: Add patches to support working with GLib 2.86
    (LP: #2122664)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Sep 2025 12:44:18 +0200

cinnamon (6.4.10-2) unstable; urgency=medium

  * d/control: add gnome-icon-theme to cinnamon depends (Closes: #1106195)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 06 Jul 2025 22:10:27 +0200

cinnamon (6.4.10-1) unstable; urgency=medium

  * New upstream version 6.4.10
    - polkitAuthenticationAgent.js: Allow root authentication if
      there are no admin users (Closes: #1101927)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 04 May 2025 20:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cinnamon
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -19,7 +20,7 @@
  intltool,
  libcinnamon-desktop-dev (>= 6.4~),
  libcinnamon-menu-3-dev (>= 5.4~),
- libcjs-dev (>= 6.4~),
+ libcjs-dev (>= 128~),
  libdbus-1-dev,
  libgcr-3-dev,
  libgirepository1.0-dev (>= 1.29.15),
@@ -56,7 +57,7 @@
  cinnamon-screensaver (>= 6.4),
  cinnamon-session (>= 6.4),
  cinnamon-settings-daemon (>= 6.4),
- cjs (>= 6.4),
+ cjs (>= 128),
  cups-pk-helper,
  dbus,
  gir1.2-accountsservice-1.0,
@@ -85,6 +86,7 @@
  gir1.2-xapp-1.0 (>= 2.6.0),
  gkbd-capplet,
  gnome-backgrounds,
+ gnome-icon-theme,
  gnome-themes-extra,
  gsettings-desktop-schemas (>= 0.1.7),
  iso-flags-png-320x240,

## cinnamon 6.4.11+gigi

=== debian/changelog ===
cinnamon (6.4.11+gigi) gigi; urgency=medium

  [ Michael Webster ]
  * debian/control: add mate-polkit agent as an alternative to gnome's.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 17:50:20 +0100

cinnamon (6.4.10) xia; urgency=medium

  [ Michael Webster ]
  * polkitAuthenticationAgent.js: Allow root authentication if there (#12849) are no admin users

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Apr 2025 11:38:18 +0100

cinnamon (6.4.9) xia; urgency=medium

  [ Michael Webster ]
  * cs_mouse.py: Don't try to use the 'value_nick' property of gi enum values.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 Mar 2025 16:12:43 +0000

cinnamon (6.4.8) xia; urgency=medium

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Feb 2025 15:24:47 +0000

cinnamon (2.6.6) rafaela; urgenc

## cinnamon 6.4.12

=== debian/changelog ===
cinnamon (6.4.12-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Add patches to support working with GLib 2.86

  [ Fabio Fantoni ]
  * New upstream version 6.4.12
  * Refresh d/patches
  * d/control: replace gnome-icon-theme with mate-icon-theme

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 13 Sep 2025 16:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cinnamon
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -86,7 +85,7 @@
  gir1.2-xapp-1.0 (>= 2.6.0),
  gkbd-capplet,
  gnome-backgrounds,
- gnome-icon-theme,
+ mate-icon-theme,
  gnome-themes-extra,
  gsettings-desktop-schemas (>= 0.1.7),
  iso-flags-png-320x240,

=== debian/watch ===
version=4
https://github.com/linuxmint/Cinnamon/tags .*/v?(\d.*)@ARCHIVE_EXT@

## cinnamon 6.4.12+gigi

=== debian/changelog ===
cinnamon (6.4.12+gigi) zara; urgency=medium

  [ Michael Webster ]
  * polkitAuthenticationAgent.js: Handle system accounts properly. (#12865)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 11:53:12 +0100

cinnamon (6.4.11) gigi; urgency=medium

  [ Michael Webster ]
  * debian/control: add mate-polkit agent as an alternative to gnome's.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 17:50:20 +0100

## cinnamon 6.4.13

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('build_recorder',
    type: 'boolean',
    value: true,
    description: 'Build the cinnamon recorder into source'
)
option('disable_networkmanager',
    type: 'boolean',
    value: false,
    description: 'Build without networkmanager'
)
option('py3modules_dir',
    type : 'string',
    value : '',
    description: 'Where to install python3 modules'
)
option('wayland',
    type : 'boolean',
    value : true,
    description: 'Enable wayland support'
)

=== debian/changelog ===
cinnamon (6.4.13-1) unstable; urgency=medium

  * New upstream version 6.4.13 (Closes: #1116496)
  * d/control: libglib2.0-dev build-dep. to version 2.79.2
  * refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 03 Oct 2025 21:02:03 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libgcr-3-dev,
  libgirepository1.0-dev (>= 1.29.15),
  libgl-dev,
- libglib2.0-dev (>= 2.52.0),
+ libglib2.0-dev (>= 2.79.2),
  libgstreamer1.0-dev,
  libgtk-3-dev (>= 3.9.12),
  libjson-glib-dev (>= 0.13.2),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Force UTF8 to workaround doc build error
export LC_ALL=C.UTF-8

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIGURE_EXTRA_FLAGS = \
	-Ddocs=true \
	-D py3modules_dir=/usr/lib/python3/dist-packages

ifneq ($(DEB_HOST_ARCH_OS),linux)
	CONFIGURE_EXTRA_FLAGS += \
	-Ddisable_networkmanager=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disable tests, upstream doesn't use them
	:

override_dh_install-arch:
	dh_install -X.la

override_dh_python3:
	dh_python3 /usr/share/cinnamon

override_dh_makeshlibs:
	dh_makeshlibs -pcinnamon -Xlibcinnamon
	dh_makeshlibs --remaining-packages

override_dh_shlibdeps:
	# cinnamon uses muffin private libraries
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/muffin"

## cinnamon 6.4.13+gigi

=== debian/changelog ===
cinnamon (6.4.13+gigi) zara; urgency=medium

  [ Michael Webster ]
  * placesManager.js: a new Gio.MountOperation takes no arguments.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Sep 2025 15:57:37 +0100

cinnamon (6.4.12) zara; urgency=medium

  [ Michael Webster ]
  * polkitAuthenticationAgent.js: Handle system accounts properly. (#12865)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 11:53:12 +0100

## cinnamon 6.6.0+zena

=== debian/changelog ===
cinnamon (6.6.0+zena) zena; urgency=medium

  [ Matt Turnbull ]
  * Move sass compilation to its own custom target so it shows up in the build log. Support both pysassc and sassc. (#12588)

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * build: Improve variable names for NetworkManager options.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

  [ Shixian Sheng ]
  * Update control (#12742)

  [ Clement Lefebvre ]
  * Revert "Update control (#12742)"

  [ JosephMcc ]
  * st-label: Don't guard against NULL text (#12605)
  * st-theme-node: Add support for css 'auto' (#12606)
  * Port dis/connectObj from gnome shell (#12607)

  [ Michael Webster ]
  * end-session: Fix end-session dialog cleanup after a failure.

  [ Leigh Scott ]
  * croco: Use g_string_free() return value (#12630)
  * croco: Remove unused and dodgy function (#12631)
  * st-bin: Remove unused foreach implementation (#12633)

  [ UnFefeSauvage ]
  * notificationDaemon: Fix handling of `image-path` hint (#12778)

  [ claudiux ]
  * workspace-switcher@cinnamon.org: Workspaces will be always displayed as empty when they are

  [ Michael Webster ]
  * st: Print the js stack for a couple of critical warnings that can be difficult to track down.
  * cs_mouse.py: Don't try to use the 'value_nick' property of gi enum values.
  * cs_display.py: Expose option to choose fractional scaling direction.
  * cinnamon-settings: Clean up commandline argument handling.
  * cinnamon-setting, xlet-settings: Fix minor regressions.
  * polkitAuthenticationAgent.js: Allow root authentication if there (#12849) are no admin users

  [ Clement Lefebvre ]
  * cs_themes.py: Add AdwaitaLegacy to blocklist

  [ Michael Webster ]
  * js/ui/applet.js: Fix callback arguments for configureApplet().

  [ Michael Schuster ]
  * nightlight: Add schedule mode option 'always' (#12660)

  [ Michael Webster ]
  * cs_nightlight.py: Improve option label.
  * Allow building Cinnamon without any NetworkManager requirements.

  [ Hilyxx ]
  * Merge cs_tiling module with cs_windows module (#12880)

  [ Michael Webster ]
  * cinnamon-settings: Give tiling its own tab in the windows module.
  * polkitAuthenticationAgent.js: Handle system accounts properly. (#12865)

  [ fredcw ]
  * settings.js: remove file monitor (#12819)
  * messageTray.js: Fix image not showing in... (#12623)

  [ Michael Webster ]
  * cs_themes.py: Fix minor regression in module from 769a754001ff4c
  * polkitAuthenticationAgent.js: Ensure Cinnamon is part of the (#12887)
  * cinnamon-slideshow.py: Stop using python dbus.
  * build: Restore dbus build dependency.

  [ kovacsIVgabor ]
  * cornerbar applet: (#12722)

  [ Petermhen ]
  * Have alt+tab show windows from the current monitor only (#12665)

  [ rmarker ]
  * Calender: Fix issue with with custom tooltip not updating seconds. (#12786)

  [ fredcw ]
  * cs_keyboard.py: use expected logic for xlet location (#12850)
  * PopupResizeHandler: recheck for restricted size after applet resized (#12815)
  * PopupResizeHandler: return correct popup size bugfix (#12804)

  [ Lanchon ]
  * power: Add suspend option to battery-critial actions (#12680)

  [ claudiux ]
  * xlet-settings-ref.xml: Updates datechooser, timechooser and layout (#12864)
  * Add nightlight@cinnamon.org applet (#12562)

  [ Michael Webster ]
  * menu applet: Remove dead code.
  * panel.js: Fix launch args for 'Panel settings' menu entry.

  [ Timothy Feierabend ]
  * Add sidePage name to titlebar when entering (#12709)

  [ Arne Einecke ]
  * desklet-photoframe: change image size to guarantee keeping the ratio (#12717)

  [ Timothy Feierabend ]
  * Implement Thunderbolt settings module (#12762)

  [ Rylen L ]
  * Handle typed user input into the night light module (manual schedule) (#12826)

  [ Çağdaş Alagöz ]
  * Add 'wallpaper' keyword to backgrounds.deskop kewords. (#12944)

  [ Michael Webster ]
  * build: Fix include names for mutter->muffin.
  * cinnamon-settings.py: Fix loading c-c-c modules via commandline.

  [ Kacper Paczos ]
  * feat(themes): Implement categorized theme menus and debug tools (#12905)

  [ Michael Webster ]
  * cs_themes: Don't show the 'Other themes' menu label, fix row logic.

  [ fredcw ]
  * cs_backgrounds.py: properly encode filename URI (#12945)
  * panel.js: always show panel when highlighted (#12929)

  [ Michael Webster ]
  * cinnamon-settings.py: Handle SIGINT so unmap/destroy handlers in cs_applets and cs_panels can unhighlight any panels if terminated this way.
  * python3-harvester.py: Fix some debug messages.
  * cinnamon-settings.py: Add fingwit to standalone modules.
  * notificationDaemon.js: Cleanup notification app_icon and icon-path handling.
  * notificationDaemon.js: Improve notification error handling.
  * debian/control: add mate-polkit agent as an alternative to gnome's.
  * data/icons: Make cs_thunderbolt icon consistent with other Mint-X-like module icons.
  * cinnamon-launcher: Launch a polkit agent for the fallback session, refactor launch/cleanup of session helpers.

  [ Marco Trevisan (Treviño) ]
  * js: Use DesktopAppInfo form GioUnix, not Gio
  * meson: Build dependency on 2.79.2

  [ Michael Webster ]
  * cs_themes.py: Fix regression from 1c21371a608b, do not escape newlines when writing icon cache file.
  * cs_default.py: Don't import gi.repository.*
  * placesManager.js: a new Gio.MountOperation takes no arguments.
  * Modernize keyboard handling

  [ tutralex ]
  * _menus.scss: fix spontaneous increase size of the pop-up menu when left-clicking on some items
  * _calendar.scss: enable backlight for calendar-today-home-button



=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-json-1.0,
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 libcinnamon-desktop-dev (>= 5.3),
 libcinnamon-menu-3-dev (>= 4.8),
 libcjs-dev (>= 4.8),
 libdbus-1-dev,
 libgcr-3-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libgudev-1.0-dev,
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 5.3),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 librsvg2-dev,
 libsecret-1-dev,
 libstartup-notification0-dev (>= 0.11),
 libxapp-dev (>= 2.6.0),
 meson,
 pysassc,
 python3:any,
Standards-Version: 3.9.5
Homepage: https://projects.linuxmint.com/cinnamon/

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adwaita-icon-theme,
 cinnamon-common,
 cinnamon-control-center,
 cinnamon-desktop-data (>= 5.3),
 cinnamon-l10n,
 cinnamon-screensaver,
 cinnamon-session,
 cinnamon-settings-daemon (>= 5.3),
 cjs (>= 4.8),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-cmenu-3.0 (>= 4.8),
 gir1.2-cvc-1.0,
 gir1.2-ecal-2.0,
 gir1.2-edataserver-1.2,
 gir1.2-gcr-3,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-graphene-1.0,
 gir1.2-gsound-1.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-ibus-1.0,
 gir1.2-ical-3.0,
 gir1.2-keybinder-3.0,
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-polkit-1.0,
 gir1.2-soup-3.0,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flag-png,
 inxi,
 libcanberra-pulse,
 libcinnamon-desktop4 (>= 5.3),
 libcinnamon-menu-3-0,
 libcjs0,
 libglib2.0-bin,
 libmuffin0 (>= 5.3),
 mate-panel | gnome-panel | tint2,
 mesa-utils,
 metacity,
 nemo,
 network-manager-gnome [linux-any],
 policykit-1-gnome | mate-polkit,
 python3,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pam | python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-requests,
 python3-setproctitle,
 python3-tinycss2,
 python3-tz,
 streamer,
 wget,
 xapps-common (>= 2.5.0),
 xdg-desktop-portal-gtk,
 xdg-desktop-portal-xapp,
 ${gir:Depends},
 ${icon-theme:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-terminal | x-terminal-emulator,
 gnome-themes-extra | gnome-themes-standard,
 gnome-online-accounts-gtk,
 touchegg,
Suggests: cinnamon-doc
Provides: notification-daemon, x-window-manager, polkit-1-auth-agent
Description: Modern Linux desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 5.3),
 gir1.2-meta-muffin-0.0 (>= 5.3),
 gir1.2-timezonemap-1.0,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Cinnamon desktop (Common data files)
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the architecture independent files needed by Cinnamon

Package: cinnamon-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cinnamon (= ${binary:Version}),
 cinnamon-control-center-dbg,
 libcinnamon-desktop-dbg (>= 5.3),
 libcinnamon-menu-3-0-dbg (>= 4.8),
 libcjs-dbg (>= 4.8),
 libcvc-dbg,
 muffin-dbg (>= 5.3),
 nemo-dbg,
 ${misc:Depends},
Description: Debugging symbols for the Cinnamon desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the debugging symbols.

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Cinnamon documentation
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the code documentation for various Cinnamon components.

## cinnamon 6.6.1+zena

=== debian/changelog ===
cinnamon (6.6.1+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * main.js: Don't try to invoke keybindings for synthetic events.
  * magnifier.js: Revert part of 894ab13f - go back to using Cinnamon's KeybindingManager to setup zoom keybindings.

  [ fredcw ]
  * menu@cinnamon.org: check category icon exists (#13258)

  [ Michael Webster ]
  * ExtensionCore.py: GtkLabel argument should be a string.

  [ Clement Lefebvre ]
  * l10n: Don't use POTFILES.in in makepot

  [ Michael Webster ]
  * keyboardManager.js: Use KeybindingManager to setup layout switch (#13251)
  * debian/control: Add Recommends: ibus

  [ Clement Lefebvre ]
  * menu: Tune defaults
  * menu: Show favorite category even when there are no favorites
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 10:51:01 +0000

cinnamon (6.6.0) zena; urgency=medium

  [ Matt Turnbull ]
  * Move sass compilation to its own custom target so it shows up in the build log. Support both pysassc and sassc. (#12588)

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * build: Improve variable names for NetworkManager options.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

  [ Shixian Sheng ]
  * Update control (#12742)

  [ Clement Lefebvre ]
  * Revert "Update control (#12742)"

  [ JosephMcc ]
  * st-label: Don't guard against NULL text (#12605)
  * st-theme-node: Add support for css 'auto' (#12606)
  * Port dis/connectObj from gnome shell (#12607)

  [ Michael Webster ]
  * end-session: Fix end-session dialog cleanup after a failure.

  [ Leigh Scott ]
  * croco: Use g_string_free() return value (#12630)
  * croco: Remove unused and dodgy function (#12631)
  * st-bin: Remove unused foreach implementation (#12633)

  [ UnFefeSauvage ]
  * notificationDaemon: Fix handling of `image-path` hint (#12778)

  [ claudiux ]
  * workspace-switcher@cinnamon.org: Workspaces will be always displayed as empty when they are

  [ Michael Webster ]
  * st: Print the js stack for a couple of critical warnings that can be difficult to track down.
  * cs_mouse.py: Don't try to use the 'value_nick' property of gi enum values.
  * cs_display.py: Expose option to choose fractional scaling direction.
  * cinnamon-settings: Clean up commandline argument handling.
  * cinnamon-setting, xlet-settings: Fix minor regressions.
  * polkitAuthenticationAgent.js: Allow root authentication if there (#12849) are no admin users

  [ Clement Lefebvre ]
  * cs_themes.py: Add AdwaitaLegacy to blocklist

  [ Michael Webster ]
  * js/ui/applet.js: Fix callback arguments for configureApplet().

  [ Michael Schuster ]
  * nightlight: Add schedule mode option 'always' (#12660)

  [ Michael Webster ]
  * cs_nightlight.py: Improve option label.
  * Allow building Cinnamon without any NetworkManager requirements.

  [ Hilyxx ]
  * Merge cs_tiling module with cs_windows module (#12880)

  [ Michael Webster ]
  * cinnamon-settings: Give tiling its own tab in the windows module.
  * polkitAuthenticationAgent.js: Handle system accounts properly. (#12865)

  [ fredcw ]
  * settings.js: remove file monitor (#12819)
  * messageTray.js: Fix image not showing in... (#12623)

  [ Michael Webster ]
  * cs_themes.py: Fix minor regression in module from 769a754001ff4c
  * polkitAuthenticationAgent.js: Ensure Cinnamon is part of the (#12887)
  * cinnamon-slideshow.py: Stop using python dbus.
  * build: Restore dbus build dependency.

  [ kovacsIVgabor ]
  * cornerbar applet: (#12722)

  [ Petermhen ]
  * Have alt+tab show windows from the current monitor only (#12665)

  [ rmarker ]
  * Calender: Fix issue with with custom tooltip not updating seconds. (#12786)

  [ fredcw ]
  * cs_keyboard.py: use expected logic for xlet location (#12850)
  * PopupResizeHandler: recheck for restricted size after applet resized (#12815)
  * PopupResizeHandler: return correct popup size bugfix (#12804)

  [ Lanchon ]
  * power: Add suspend option to battery-critial actions (#12680)

  [ claudiux ]
  * xlet-settings-ref.xml: Updates datechooser, timechooser and layout (#12864)
  * Add nightlight@cinnamon.org applet (#12562)

  [ Michael Webster ]
  * menu applet: Remove dead code.
  * panel.js: Fix launch args for 'Panel settings' menu entry.

  [ Timothy Feierabend ]
  * Add sidePage name to titlebar when entering (#12709)

  [ Arne Einecke ]
  * desklet-photoframe: change image size to guarantee keeping the ratio (#12717)

  [ Timothy Feierabend ]
  * Implement Thunderbolt settings module (#12762)

  [ Rylen L ]
  * Handle typed user input into the night light module (manual schedule) (#12826)

  [ Çağdaş Alagöz ]
  * Add 'wallpaper' keyword to backgrounds.deskop kewords. (#12944)

  [ Michael Webster ]
  * build: Fix include names for mutter->muffin.
  * cinnamon-settings.py: Fix loading c-c-c modules via commandline.

  [ Kacper Paczos ]
  * feat(themes): Implement categorized theme menus and debug tools (#12905)

  [ Michael Webster ]
  * cs_themes: Don't show the 'Other themes' menu label, fix row logic.

  [ fredcw ]
  * cs_backgrounds.py: properly encode filename URI (#12945)
  * panel.js: always show panel when highlighted (#12929)

  [ Michael Webster ]
  * cinnamon-settings.py: Handle SIGINT so unmap/destroy handlers in cs_applets and cs_panels can unhighlight any panels if terminated this way.
  * python3-harvester.py: Fix some debug messages.
  * cinnamon-settings.py: Add fingwit to standalone modules.
  * notificationDaemon.js: Cleanup notification app_icon and icon-path handling.


## cinnamon 6.6.2+zena

=== debian/changelog ===
cinnamon (6.6.2+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Update menu favorites

  [ Michael Webster ]
  * main.c: Go back to blocking caribou's osk service.

  [ Clement Lefebvre ]
  * menu: Add a tiny bit more height to the default size

  [ Michael Webster ]
  * AddKeyboardLayout.py: Add checkbox to display less-common layouts.

  [ Leigh Scott ]
  * Menu: Removes the icon validation logic that only checked Gtk.IconTheme (#13272)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * menu applet: Restore and fix icon check removed in e15b112e3bb59.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 17:31:09 +0000

cinnamon (6.6.1) zena; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * main.js: Don't try to invoke keybindings for synthetic events.
  * magnifier.js: Revert part of 894ab13f - go back to using Cinnamon's KeybindingManager to setup zoom keybindings.

  [ fredcw ]
  * menu@cinnamon.org: check category icon exists (#13258)

  [ Michael Webster ]
  * ExtensionCore.py: GtkLabel argument should be a string.

  [ Clement Lefebvre ]
  * l10n: Don't use POTFILES.in in makepot

  [ Michael Webster ]
  * keyboardManager.js: Use KeybindingManager to setup layout switch (#13251)
  * debian/control: Add Recommends: ibus

  [ Clement Lefebvre ]
  * menu: Tune defaults
  * menu: Show favorite category even when there are no favorites
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 10:51:01 +0000

=== debian/control ===
--- 
+++ 
@@ -116,6 +116,7 @@
  gnome-themes-extra | gnome-themes-standard,
  gnome-online-accounts-gtk,
  touchegg,
+ ibus,
 Suggests: cinnamon-doc
 Provides: notification-daemon, x-window-manager, polkit-1-auth-agent
 Description: Modern Linux desktop

## cinnamon 6.6.3+zena

=== meson_options.txt ===
--- 
+++ 
@@ -13,10 +13,11 @@
     value: true,
     description: 'Build the cinnamon recorder into source'
 )
-option('disable_networkmanager',
-    type: 'boolean',
-    value: false,
-    description: 'Build without networkmanager'
+option('nm_agent',
+    type: 'combo',
+    choices: ['internal', 'external', 'disabled'],
+    value: 'internal',
+    description: 'Which network agent to use - internal: use built-in, external: require nm-applet in the session, disabled: not using NetworkManager'
 )
 option('py3modules_dir',
     type : 'string',
@@ -28,4 +29,9 @@
     value : true,
     description: 'Enable wayland support'
 )
+option('exclude_info_settings',
+    type : 'boolean',
+    value : false,
+    description: 'Exclude Info settings'
+)

=== debian/changelog ===
cinnamon (6.6.3+zena) zena; urgency=medium

  [ Leigh Scott ]
  * cs_user.py: Switch from pam passwd to system-auth or common-auth with login fallback (#13239)

  [ Michael Webster ]
  * applets,desklets: Validate tab argument before attempting to launch xlet-settings.
  * Remove cs-tiling icon and desktop file.
  * Regenerate desktop files with latest translations.
  * menu applet: Fix screen-reader/Atk support.
  * main.js: Fix error during expo view - 'action is not defined'.
  * cs_nightlight.py: Increase possible color temp range.

  [ Clement Lefebvre ]
  * Use xsi-preferences when appropriate
  * menu: Make the sidebar min-width configurable
  * menu: Fix category hover stylename on leave event
  * menu: Fix symbolic category icon for wine and custom categories
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Dec 2025 12:49:34 +0000

cinnamon (6.6.2) zena; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Update menu favorites

  [ Michael Webster ]
  * main.c: Go back to blocking caribou's osk service.

  [ Clement Lefebvre ]
  * menu: Add a tiny bit more height to the default size

  [ Michael Webster ]
  * AddKeyboardLayout.py: Add checkbox to display less-common layouts.

  [ Leigh Scott ]
  * Menu: Removes the icon validation logic that only checked Gtk.IconTheme (#13272)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * menu applet: Restore and fix icon check removed in e15b112e3bb59.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 17:31:09 +0000

=== debian/control ===
--- 
+++ 
@@ -104,6 +104,7 @@
  streamer,
  wget,
  xapps-common (>= 2.5.0),
+ xapp-symbolic-icons (>= 1.0.7),
  xdg-desktop-portal-gtk,
  xdg-desktop-portal-xapp,
  ${gir:Depends},

## cinnamon 6.6.4+gigi

=== debian/changelog ===
cinnamon (6.6.4+gigi) zena; urgency=medium

  [ Clement Lefebvre ]
  * cinnamon-settings: Add support for mintsysadm
  * l10n: Update POT

  [ Michael Webster ]
  * keyboard: Always fetch the full XkbInfo store except when adding a layout.

  [ Clement Lefebvre ]
  * defaults: Switch gucharmap for GNOME Calendar

  [ fredcw ]
  * GWL: Add generic icon for apps with no icon (#13294)
  * menu applet: Show generic icon on sidebar if fav app has no themed icon (#13296)

  [ Clement Lefebvre ]
  * js: Fix missing import

  [ Michael Webster ]
  * st-entry.c: Disable cursor blink.
  * keyboardManager.js: When loading configured sources, always ensure at least one layout.
  * keyboardManager.js: Make sure to reload the current engine properties when sources change.
  * keyboardManager.js: Update the definition of 'multiple sources'.

  [ Clement Lefebvre ]
  * cs_notifications: i18n test notification title
  * l10n: Update POT

  [ fredcw ]
  * trigger xlet settings update when settings options "Reset to defaults"... (#13297)

  [ JosephMcc ]
  * recent applet: Fix label alignment (#13302)

  [ rlbxku1r ]
  * menu: Fix context menu to not close the menu applet (#13318)

  [ Balló György ]
  * Hide icon themes that marked as 'Hidden' (#13307)

  [ fredcw ]
  * Put back "notifications" role removed in commit... (#13303)
  * messageTray.js: Check for pending notifications after showing a notification (#13277)

  [ NotSirius-A ]
  * Fixed menu editor freezing on right-clicking categories on the left menu (#13306)

  [ Michael Webster ]
  * cinnamon-menu-editor: Remember the scroll position when refreshing the item list after an edit.
  * menu/desktop editor: Load and save for the current language when editing desktop entries.
  * cinnamon-slideshow.py: Continue with the next background in a folder when launched (if it exists), instead of always starting over.

  [ fredcw ]
  * cinnamon theme: use a variable for consistent window/popup border radius (#13328)

  [ Michael Webster ]
  * sound applet: Fix panel album art not being discarded and falling out of sync with the active player.

  [ Kaushik B ]
  * Fix OSD fading out when updated during hide animation (#13335)

  [ Clement Lefebvre ]
  * network applet: Remove symbolic icons
  * sound applet: Switch leftover Adwaita icon names to XSI
  * popupmenu.js: Switch leftover Adwaita icon names to XSI

  [ Michael Webster ]
  * SettingsWidgets: Silently ignore BinFileMonitor errors.

  [ Clement Lefebvre ]
  * cs_calendar: Localize regions and cities
  * l10n: Update POT
  * Fix localization in KeybindingWidgets.py
  * cs_default: Fix localization in removable_media_defs
  * l10n: Update POT

  [ rlbxku1r ]
  * menu: Fix input method key event handling (#13317)

  [ Michael Webster ]
  * placesManager.js: Add mounts with no associated volume. (#13325)
  * osk: Restore control and Alt keys (#13337)

  [ hduelme ]
  * wrong app id in calc search provider example (#13249)

  [ Michael Webster ]
  * KeybindingWidgets.py: Fix keybinding teaching in wayland sessions.
  * cs_keyboard: Add an XKB options page. (#13343)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:29:45 +0000

cinnamon (6.6.3) zena; urgency=medium

  [ Leigh Scott ]
  * cs_user.py: Switch from pam passwd to system-auth or common-auth with login fallback (#13239)

  [ Michael Webster ]
  * applets,desklets: Validate tab argument before attempting to launch xlet-settings.
  * Remove cs-tiling icon and desktop file.
  * Regenerate desktop files with latest translations.
  * menu applet: Fix screen-reader/Atk support.
  * main.js: Fix error during expo view - 'action is not defined'.
  * cs_nightlight.py: Increase possible color temp range.

  [ Clement Lefebvre ]
  * Use xsi-preferences when appropriate
  * menu: Make the sidebar min-width configurable
  * menu: Fix category hover stylename on leave event
  * menu: Fix symbolic category icon for wine and custom categories
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Dec 2025 12:49:34 +0000

## cinnamon 6.6.4+zena

=== debian/changelog ===
cinnamon (6.6.4+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * cinnamon-settings: Add support for mintsysadm
  * l10n: Update POT

  [ Michael Webster ]
  * keyboard: Always fetch the full XkbInfo store except when adding a layout.

  [ Clement Lefebvre ]
  * defaults: Switch gucharmap for GNOME Calendar

  [ fredcw ]
  * GWL: Add generic icon for apps with no icon (#13294)
  * menu applet: Show generic icon on sidebar if fav app has no themed icon (#13296)

  [ Clement Lefebvre ]
  * js: Fix missing import

  [ Michael Webster ]
  * st-entry.c: Disable cursor blink.
  * keyboardManager.js: When loading configured sources, always ensure at least one layout.
  * keyboardManager.js: Make sure to reload the current engine properties when sources change.
  * keyboardManager.js: Update the definition of 'multiple sources'.

  [ Clement Lefebvre ]
  * cs_notifications: i18n test notification title
  * l10n: Update POT

  [ fredcw ]
  * trigger xlet settings update when settings options "Reset to defaults"... (#13297)

  [ JosephMcc ]
  * recent applet: Fix label alignment (#13302)

  [ rlbxku1r ]
  * menu: Fix context menu to not close the menu applet (#13318)

  [ Balló György ]
  * Hide icon themes that marked as 'Hidden' (#13307)

  [ fredcw ]
  * Put back "notifications" role removed in commit... (#13303)
  * messageTray.js: Check for pending notifications after showing a notification (#13277)

  [ NotSirius-A ]
  * Fixed menu editor freezing on right-clicking categories on the left menu (#13306)

  [ Michael Webster ]
  * cinnamon-menu-editor: Remember the scroll position when refreshing the item list after an edit.
  * menu/desktop editor: Load and save for the current language when editing desktop entries.
  * cinnamon-slideshow.py: Continue with the next background in a folder when launched (if it exists), instead of always starting over.

  [ fredcw ]
  * cinnamon theme: use a variable for consistent window/popup border radius (#13328)

  [ Michael Webster ]
  * sound applet: Fix panel album art not being discarded and falling out of sync with the active player.

  [ Kaushik B ]
  * Fix OSD fading out when updated during hide animation (#13335)

  [ Clement Lefebvre ]
  * network applet: Remove symbolic icons
  * sound applet: Switch leftover Adwaita icon names to XSI
  * popupmenu.js: Switch leftover Adwaita icon names to XSI

  [ Michael Webster ]
  * SettingsWidgets: Silently ignore BinFileMonitor errors.

  [ Clement Lefebvre ]
  * cs_calendar: Localize regions and cities
  * l10n: Update POT
  * Fix localization in KeybindingWidgets.py
  * cs_default: Fix localization in removable_media_defs
  * l10n: Update POT

  [ rlbxku1r ]
  * menu: Fix input method key event handling (#13317)

  [ Michael Webster ]
  * placesManager.js: Add mounts with no associated volume. (#13325)
  * osk: Restore control and Alt keys (#13337)

  [ hduelme ]
  * wrong app id in calc search provider example (#13249)

  [ Michael Webster ]
  * KeybindingWidgets.py: Fix keybinding teaching in wayland sessions.
  * cs_keyboard: Add an XKB options page. (#13343)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:29:45 +0000
